.product-card--horizontal {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  background: #FFF;
  border-radius: 12px;
  overflow: hidden;
  padding: 14px;
  min-height: 115px;
  position: relative;
  box-shadow: 0 0 33px 0 rgba(0, 0, 0, 0.03);
  width: 100%;
  height: 100%;
}

.product-card--horizontal .product-card__image {
  flex-shrink: 0;
  width: 87px;
  margin: 0;
  position: relative;
  height: auto;
}

.product-card--horizontal .product-card__image-link {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.product-card--horizontal .product-card__image-link img {
  width: 87px;
  height: 87px;
  object-fit: contain;
  aspect-ratio: 1;
}

.product-card--horizontal .product-card__content {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  padding: 0;
  justify-content: space-between;
}

.product-card--horizontal .product-card__info {
  margin-bottom: 5px;
}

.product-card--horizontal .product-card__title {
  color: #303133;
  font-size: 12px;
  font-weight: 600;
  line-height: 145%;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-top: 0;
}

.product-card--horizontal .product-card__footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  margin-top: auto;
}

.product-card--horizontal .product-card__price {
  display: flex;
  gap: 6px;
  align-items: center;
}

.product-card--horizontal .product-card__price-current {
  color: #303133;
  font-size: 15px;
  font-weight: 500;
  line-height: 112%;
}

.product-card--horizontal .product-card__price-old {
  color: rgba(142, 143, 145, 0.7);
  font-size: 13px;
  font-weight: 400;
  line-height: 145%;
  text-decoration: line-through;
}

.product-card--horizontal .product-card__action {
  display: flex;
  gap: 8px;
  position: absolute;
  right: 14px;
  bottom: 14px;
}

.product-card--horizontal .product-card__comp,
.product-card--horizontal .product-card__wishlist,
.product-card--horizontal .product-card__cart {
  min-width: 32px;
  height: 32px;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.3s;
}

.product-card--horizontal .product-card__comp svg,
.product-card--horizontal .product-card__wishlist svg,
.product-card--horizontal .product-card__cart svg {
  width: 18px;
  height: 18px;
}

.products-horizontal .swiper-slide {
  height: auto;
}

.products-horizontal .products-carousel__wrapper {
  position: relative;
}

.products-horizontal .product-card__badges {
  z-index: 2;
}

.products-horizontal .product-card__badge {
  padding: 3px 4px;
}

@media (max-width: 1024px) {
  .products-horizontal .carousel-arrow {
    display: none;
  }

  .products-horizontal .products-carousel__dots {
    display: flex !important;
    position: static;
    transform: none;
    justify-content: center;
    margin-top: 20px;
    align-items: center;
    gap: 31px;
    z-index: 3;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
  }

  .products-horizontal .products-carousel__dots .swiper-pagination-bullet {
    width: 4px;
    height: 4px;
    background: #303133;
    border-radius: 999px;
    opacity: 1;
    position: relative;
    margin: 0;
    transition: all 0.3s ease;
    cursor: pointer;
  }

  .products-horizontal .products-carousel__dots .swiper-pagination-bullet::before {
    content: '';
    position: absolute;
    inset: -10px;
    border: 1px solid transparent;
    border-radius: 50%;
    transition: all 0.3s ease;
  }

  .products-horizontal .products-carousel__dots .swiper-pagination-bullet-active {
    background: #FCAF17;
    opacity: 1;
    width: 8px;
    height: 8px;
  }

  .products-horizontal .products-carousel__dots .swiper-pagination-bullet-active::before {
    border-color: #FCAF17;
  }
}

@media (max-width: 768px) {
  .products-horizontal .products-carousel__dots {
    display: flex !important;
    position: static;
    transform: none;
    justify-content: center;
    margin-top: 16px;
    align-items: center;
    gap: 31px;
    z-index: 3;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
  }

  .products-horizontal .swiper-slide {
    height: auto;
  }

  .products-horizontal__column {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
  }

  .products-horizontal__column .product-card--horizontal {
    width: 100%;
  }
}